<?php

namespace App\Http\Controllers\Auth;
use App\Http\Controllers\Controller;
use App\Providers\RouteServiceProvider;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Illuminate\Http\Request;
use App\Models\Otp;
use App\Models\User;
use Auth,Session;
class LoginController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Login Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles authenticating users for the application and
    | redirecting them to your home screen. The controller uses a trait
    | to conveniently provide its functionality to your applications.
    |
    */

    use AuthenticatesUsers;

    /**
     * Where to redirect users after login.
     *
     * @var string
     */
    protected $redirectTo = RouteServiceProvider::HOME;

    /**
     * Create a new controller instance.
     *
     * @return void
     */



     protected function authenticated(Request $request, $user)
    {
         if($user->hasRole("admin"))
        {
            return redirect("admin/home");
        }
        
        else if($user->hasRole("user"))
        {
            return redirect("home");
        }
    }

    public function __construct()
    {
        $this->middleware('guest')->except('logout');
    }


    public function login(Request $request){
        $request->validate([
            'phone' => 'required|digits:10',
        ],
        [
        'phone.digits' => 'Enter 10 Didit Mobile No.',
    ]);
    
    $phone = $request->country_code.$request->phone;
        $info = User::where('phone', $phone)->first();
       
        if(is_null($info)){
            return redirect()->back()->with('error_msg', 'Record Not Found');
        }else{
            Session::put('MobileNumber', $phone);
            $code = rand(1111, 9999);
               Session::put('Otp', $code);
               $otp = new Otp;
               $otp->otp =  $code;
               $otp->status = 1;
               $otp->uniqid_id = uniqid();
               $otp->user_id = $info->id;
               $otp->phone = $phone;
               $otp->save();
            return redirect()->route('loginOtp');
        }
    }

    public function otp(){
        if(Session::has('MobileNumber') && Session::has('Otp')){
        return view('auth.otp');
    }
    return back();
    }


    public function resendotp(){
        $phone = Session::get('MobileNumber');
          $registered_user = User::where('phone', $phone)->first();
                $code = rand(1111, 9999);
                Session::put('Otp', $code);
                $otp = new Otp;
                $otp->otp =  $code;
                $otp->status = 1;
                $otp->uniqid_id = uniqid();
                $otp->user_id = $registered_user->id;
                $otp->phone = $phone;
                $otp->save();
                return redirect()->back()->with('success_msg', 'Send Successfully');
                return back();
      }


      public function otpStore(Request $request){
        $otp= $request->otp[0].$request->otp[1].$request->otp[2].$request->otp[3];
    $phone = Session::get('MobileNumber');
    $user = User::where('phone', $phone)->first();

    if(is_null($user)){
        Session::flush();
        return redirect('login')->with('error_msg', 'Something Wont Wrong');
    }else{
        $value = Otp::where('user_id', $user->id)->where('status', 1)->orderBy('id','DESC')->first();
        
        if(is_null($value)){
            return redirect()->back()->with('error_msg', 'Something Wont Wrong');
  }else{
    $otp1 =  $value->otp;
    if ($otp1 == $otp) {
        $otp_update = Otp::find($value->id);
        $otp_update->status = 2;
        $otp_update->save();
            Session::flush();
            Auth::Login($user);
            if($user->hasRole("admin"))
        {
            return redirect("admin/home")->with('success_msg', 'Login Successfully');
        }
        
        else if($user->hasRole("user"))
        {
            return redirect("home")->with('success_msg', 'Login Successfully');
        }
           }
    return redirect()->back()->with('error_msg','Invalid OTP');
  }
}
      }
}
