<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Recharge;
use App\Models\User;
use App\Models\GameBet;
use App\Models\Game;
use App\Models\Withdrawal;
use App\Models\Transcation;
use App\Models\Notification;
use Auth;
class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        return view('index');
    }


       public function notification()
    {
        $notification = Notification::where('status',"1")->where('deliver_date','<=', date('Y-m-d H:i'))->orderBy('deliver_date','desc')->whereIn('user_id',[Auth::user()->id,'0'])->get();
        return view('notification', compact('notification'));
    }


    public function wallet()
    {
        return view('wallet');
    }


    public function addcash()
    {
        return view('addcash');
    }


    public function withdrawcash()
    {
        return view('withdrawcash');
    }


         public function deposithistory(Request $request)
        {
            // ->paginate(20)
            $transcation = Transcation::where('status',"1")->where('user_id',Auth::user()->id);
            if($request->date_filter != null){
                $startDate = date("Y-m-d", strtotime($request->date_filter));
                $endDate = date("Y-m-d", strtotime($request->date_filter));
                $transcation = $transcation->whereBetween('created_at', [$startDate.' 00:00:00', $endDate.' 23:59:59']);
            }
            $transcation = $transcation->orderBy('id','desc')->get();
            return view('deposit-history', compact('transcation'));
        }

       public function withdrawHistory(Request $request)
    {
        $transcation = Transcation::where('status',"1")->where('user_id',Auth::user()->id);
            if($request->date_filter != null){
                $startDate = date("Y-m-d", strtotime($request->date_filter));
                $endDate = date("Y-m-d", strtotime($request->date_filter));
                $transcation = $transcation->whereBetween('created_at', [$startDate.' 00:00:00', $endDate.' 23:59:59']);
            }
            $transcation = $transcation->orderBy('id','desc')->get();
        return view('withdrawHistory', compact('transcation'));
    }

      public function chart(Request $request)
    {
       $game = Game::where('status', "1")->where('start_time','<=',date('d-m-Y H:i'))->where('end_time','<=',date('d-m-Y H:i'));
       if($request->date_filter != null){
        $startDate = date("d-m-Y 00:00 a", strtotime($request->date_filter));
        $endDate = date("d-m-Y 23:59 a", strtotime($request->date_filter));
        $game = $game->whereBetween('start_time', [$startDate, $endDate]);
    }
       $game = $game->get();
        return view('chart', compact('game'));
    }

  public function match(Request $request)
    {
        
        $game=GameBet::join('games','games.id','game_bets.game_id')->Where('user_id',Auth::user()->id)->Where('type',$request->type)->where('game_id',$request->name)->get();
        if(isset($game)){
            $game=$game;
        }
        $data=Game::Where('status','1')->orderBy('id','DESC')->pluck('name','id')->toArray();
        return view('match',compact('data','game'));
    }



    public function share()
    {
        return view('share');
    }
    public function game($id)
    {
        return view('game', compact('id'));
    }
    
    
    public function upcoming()
    {
        return view('upcoming');
    }


  public function companyTrustProfile()
    {
        return view('companyTrustProfile');
    }
    public function aboutUs()
    {
        return view('about_us');
    }

    public function storeaddcash(Request $request){
        // dd($request->all());
        $request->validate([
            'amount'=> 'required|numeric|gt:0',
            'transaction_id'=> 'required'
        ]);
        $recharges = new Recharge;
         $recharges->user_id = Auth::user()->id;
        $recharges->amount = $request->amount;
        $recharges->transaction_id = $request->transaction_id;
        $recharges->payment_status = "0";
        $recharges->unique_id = uniqid();
        $recharges->save();

        session()->flash('success_msg', 'Add amount request has been submited Successfully');
        return redirect()->route('wallet');
    }

    

    public function storewithdrawcash(Request $request){
         dd($request->all());
        $request->validate([
            'amount'=> 'required|numeric|gt:0'
        ]);
        $recharges = new Recharge;
         $recharges->user_id = Auth::user()->id;
        $recharges->amount = $request->amount;
        $recharges->payment_status = "0";
        $recharges->unique_id = uniqid();
        $recharges->save();

        session()->flash('success_msg', 'Add amount request has been submited Successfully');
        return redirect()->route('wallet');
    }



    public function CrossingGameStore(Request $request){
        // dd($request->all());
        $detail = [];
        $detail['numbers'] = $request->crossing_numbers;
        $detail['amount'] = $request->amount;
       $gamebet = new GameBet;
       $gamebet->type = $request->type;
       $gamebet->user_id = auth()->user()->id;
       $gamebet->game_id = decrypt($request->game_id);
       $gamebet->value = json_encode($detail);
       $gamebet->save();
       return back()->with('success_msg','Submited successfully!');
    }


  public function haroopGameStore(Request $request)
    {
        // dd($request->all());
        if ($request->harooftotal == 0 || $request->harooftotal == null) {
            return back()->with('error_msg', 'Please select bet numbers.');
        }
        if ($request->harooftotal <= auth()->user()->wallet) {
        } else {
            return back()->with('error_msg', 'Insufficient balance. Please add more wallet balance to play this game!');
        }
        $detail = [];
        $winnumnber = [];
        foreach ($request->number as $key => $r) {
                        
            if ($r != null) {
                $array = str_split($key);
                if (@$array[0] == 'a') {
                    for ($i = 0; $i < 100; $i++) {
                        $lenght = strlen($i);
                        if($lenght == 1){
                            $arrayl = str_split('0'.$i);
                        }else{
                        $arrayl = str_split($i);
                    }
                        if (@$array[1] == @$arrayl[0]) {
                            $winnumnber[] = $i;
                        }
                    }
                }
                if (@$array[0] == "b") {
                    for ($i = 0; $i < 100; $i++) {
                        $array = str_split($key);
                        $lenght = strlen($i);
                        if($lenght == 1){
                            $arrayl = str_split('0'.$i);
                        }else{
                        $arrayl = str_split($i);
                    }
                        if (@$array[1] == @$arrayl[1]) {
                                $winnumnber[] = $i;
                        }
                    }
                }
                $data['numbers'] = $key;
                $data['amount'] = $r;
                $detail[] = $data;
            }
        }
      
        $gamebet = new GameBet();
        $gamebet->type = $request->type;
        $gamebet->user_id = auth()->user()->id;
        $gamebet->game_id = decrypt($request->game_id);
        $gamebet->value = json_encode($detail);
        $gamebet->total = $request->harooftotal;
        $gamebet->win_number = json_encode($winnumnber);
        $gamebet->save();
        $transcation = new Transcation();
        $transcation->payment_type = 'bet';
        $transcation->type = 'dr';
        $transcation->user_id = Auth::user()->id;
        $transcation->type_id = $gamebet->id;
        $transcation->amount = $request->harooftotal;
        $transcation->remaining_amount = User::where('id', Auth::user()->id)->value('wallet') - $request->harooftotal;
        $transcation->transcation_status = '1';
        $transcation->unique_id = uniqid();
        $transcation->save();
        $user = User::findorFail(Auth::user()->id);
        $user->wallet -= $request->harooftotal;
        $user->save();
        return back()->with('success_msg', 'Submited successfully!');
    }

    public function JodiGameStore(Request $request)
    {
        // dd($request->all());
        if ($request->jodi_total == 0 || $request->jodi_total == null) {
            return back()->with('error_msg', 'Please select bet numbers.');
        }
        if ($request->jodi_total <= auth()->user()->wallet) {
        } else {
            return back()->with('error_msg', 'Insufficient balance. Please add more wallet balance to play this game!');
        }
        $detail = [];
        $winnumnber = [];
        foreach ($request->amount as $key => $r) {
            if ($r != null) {
                $winnumnber[] = $key;
                $data['numbers'] = $key;
                $data['amount'] = $r;
                $detail[] = $data;
            }
        }
        $gamebet = new GameBet();
        $gamebet->type = $request->type;
        $gamebet->user_id = auth()->user()->id;
        $gamebet->game_id = decrypt($request->game_id);
        $gamebet->value = json_encode($detail);
        $gamebet->total = $request->jodi_total;
        $gamebet->win_number = json_encode($winnumnber);
        $gamebet->save();
        $transcation = new Transcation();
        $transcation->payment_type = 'bet';
        $transcation->type = 'dr';
        $transcation->user_id = Auth::user()->id;
        $transcation->type_id = $gamebet->id;
        $transcation->amount = $request->jodi_total;
        $transcation->remaining_amount = User::where('id', Auth::user()->id)->value('wallet') - $request->jodi_total;
        $transcation->transcation_status = '1';
        $transcation->unique_id = uniqid();
        $transcation->save();
        $user = User::findorFail(Auth::user()->id);
        $user->wallet -= $request->jodi_total;
        $user->save();
        return back()->with('success_msg', 'Submited successfully!');
    }
    
    public function profile(){
        return view('profile');
    }
    
    public function storeprofile(Request $request){
        $userdata=User::findorfail(Auth::user()->id);
        $userdata->name=$request->name;
        $userdata->email=$request->email;
        $userdata->gender=$request->gender;
        $userdata->dob=$request->dob;
          if ($request->hasFile('image')) {
                $image = $request->file('image');
                $filename = $image->getClientOriginalName();
                $destinationPath = public_path('uploads/image');
                $image->move($destinationPath, $filename);
                $userdata->image= "uploads/image/" . $filename;
            }
            $userdata->save();
            return back()->with('success_msg','Submited successfully!');
    }
    
        public function withdrawalStore(Request $request){
        unset($request['_token']);
        $detail = $request->all();
        $detail = [];
        if($request->amount > Auth()->user()->wallet){
            return back()->with('error_msg','Your Wallet balance is low');
        }
        if(Withdrawal::where('user_id',Auth::user()->id)->where('withdrawal_status', "0")->where('status',"1")->first()){
            return back()->with('error_msg','Your Wallet Request Already Exist. Please Wait Admin Approve Your Request.');
        }
        $withdrawal = new Withdrawal;
       $withdrawal->payment_type = $request->payment_type;
       $withdrawal->amount = $request->amount;
       $withdrawal->user_id = auth()->user()->id;
       $withdrawal->detail = json_encode($detail);
       $withdrawal->withdrawal_status = "0";
       $withdrawal->status = "1";
       $withdrawal->unique_id = uniqid();
       $withdrawal->save();
    //    $user = User::where('id',Auth::user()->id)->first();
    //    $user->wallet -= $request->amount;
    //    $user->save();
       return back()->with('success_msg','Submited successfully!');
    }
}
