<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\GameType;
class GameTypeController extends Controller
{
    public function index(){
        $type = GameType::where('status',"1")->orderBy('id','desc')->get();
        return view('admin.game_type.index', compact('type'));
    }



    public function create(){
        return view('admin.game_type.create');
    }


    public function store(Request $request){
   $request->validate([
    'type'=>'required|unique:gametypes,type',
]);

 $type = new GameType;
 $type->type=$request->type;
 if ($request->hasFile('image')) {
  $image = $request->file('image');
  $filename = time().'-'.$image->getClientOriginalName();
  $destinationPath = public_path('uploads/game');
  $image->move($destinationPath, $filename);
  $type->image = "uploads/game/" . $filename;
}
 $type->unique_id = uniqid();
 $type->save();
 session()->flash('success_msg', 'game type has been created Successfully');
return redirect()->route('gameType.index');
}



function edit($id) {
    $type = GameType::where('unique_id',$id)->first();
    if(is_null($type)){
        session()->flash('error_msg', 'No Data Found!');
        return back();
      }
    return view('admin.game_type.edit', compact('type'));
}


public function update(Request $request,$id){
    $type = GameType::where('unique_id',$id)->first();
    if(is_null($type)){
        session()->flash('error_msg', 'No Data Found!');
        return back();
      }

   $request->validate([
    'type'=>'required|unique:gametypes,type,'.$type->id,
]);

 $type->type=$request->type;
 
if ($request->hasFile('image')) {
  $image = $request->file('image');
  $filename = time().'-'.$image->getClientOriginalName();
  $destinationPath = public_path('uploads/game');
  $image->move($destinationPath, $filename);
  $type->image = "uploads/game/" . $filename;
}
 $type->save();
 session()->flash('success_msg', 'game type has been updated Successfully');
return redirect()->route('gameType.index');
}


public function destroy($id){
    $game = GameType::where('unique_id',$id)->first();
    if(is_null($game)){
        session()->flash('error_msg', 'No Data Found!');
        return back();
      }
      $game->status = "0";
      $game->save();
      session()->flash('success_msg', 'game type has been deleted Successfully');
      return redirect()->route('gameType.index');
}


}
