<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Notification;
class NotificationController extends Controller
{
    public function index(){
        $notification = Notification::where('status', '1')->orderby('id','desc')->get();
        return view('admin.notification.index', compact('notification'));
    }


    public function create(){
        return view('admin.notification.create');
    }


    public function store(Request $request){
        

        $request->validate([
            'message' => 'required',
            'date'=> 'required'
    ]);
    $notification = new Notification;
    $notification->type = 'all';
    $notification->user_type = 'all users';
    $notification->message = $request->message;
    $notification->deliver_date = date('Y-m-d H:i', strtotime($request->date));
    $notification->unique_id = uniqid();
    $notification->save();
    session()->flash('success_msg', 'Notification has been created Successfully');
    return redirect()->route('Anotification.index');
    }


    public function edit($id){
        $notification = Notification::where('unique_id', $id)->first();
        if(is_null($notification)){
        session()->flash('error_msg', 'No Data Found!');
        return back();
      }
        return view('admin.notification.edit', compact('notification'));
    }


    public function destroy($id){
        $notification = Notification::where('unique_id', $id)->first();
        if(is_null($notification)){
        session()->flash('error_msg', 'No Data Found!');
        return back();
      }
        $notification->status = "0";
        $notification->save();
        session()->flash('success_msg', 'Notification has been deleted Successfully');
      return redirect()->route('Anotification.index');
    }

}
