<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Transcation;
use App\Models\Recharge;
use App\Models\User;
use App\Models\Notification;
class RechargeController extends Controller
{
    public function index(){
        $recharges = Recharge::where('status',"1")->orderBy('id', 'desc')->get();
        return view('admin.recharge.index', compact('recharges'));
    }


     public function update(Request $request,$id){
        $recharges = Recharge::where('unique_id',$id)->first();
        if(is_null($recharges)){
        session()->flash('error_msg', 'No Data Found!');
        return back()->withInput($request->all());
      }
      $recharges->payment_status = $request->status;
      $recharges->save();
      if($request->status == "1"){
        $msg = ' rechange request approved successfully';
      $transcation = new Transcation;
      $transcation->payment_type = 'recharge';
      $transcation->type = 'cr';
      $transcation->user_id = $recharges->user_id;
      $transcation->type_id = $recharges->id;
      $transcation->amount = $recharges->amount;
      $transcation->remaining_amount = User::where('id',$recharges->user_id)->value('wallet') + $recharges->amount;
      $transcation->transcation_status = $recharges->payment_status;
      $transcation->unique_id = uniqid();
      $transcation->save();
     $user = User::where('id',$recharges->user_id)->first();
     $user->wallet += $recharges->amount;
     $user->save();
      }else{
        $msg = ' rechange request rejected';
      }
      if($request->status != "0"){
      $notification1 = new Notification;
    $notification1->type = 'recharge';
    $notification1->user_id = $recharges->user_id;
    $notification1->type_id = $recharges->id;
    $notification1->user_type = 'single user';
    $notification1->message = $recharges->amount .$msg;
    $notification1->deliver_date = date('Y-m-d H:i');
    $notification1->unique_id = uniqid();
    $notification1->save();
    }
      session()->flash('success_msg', 'Recharge has been Updated Successfully');
      return redirect()->route('recharges.index');
    }
}
