<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Result;
use App\Models\Game;
use App\Models\GameBet;
use App\Models\Transcation;
use App\Models\User;
use App\Models\Notification;
class ResultController extends Controller
{
    public function index(){
        $result = Result::where('status',"1")->orderBy('id','desc')->get();
        return view('admin.result.index', compact('result'));
    }

    public function create(){
        $game = Game::where('status',"1")->where('result_time','<=',date('d-m-Y h:i a'))->where('end_time','<=',date('d-m-Y h:i a'))->where('result_status', "0")->get();
        return view('admin.result.create', compact('game'));
    }


     public function store(Request $request){
        $request->validate([
            'game' => 'required',
            'win_number' => 'required',
        ]);
        $game = Game::where('id',$request->game)->first();
        $bet = GameBet::where('status',"1")->where('game_id',$request->game)->get();
       
        foreach($bet as $br){
            $gameValue = json_decode($br->value);
            if($br->type == 'haroop' || $br->type == 'jodi'){
                foreach($gameValue as $nr){
                    // $hasNumber = $br->whereJsonContains('win_number',[(int)$request->win_number])->first();
                    $slelectNum = json_decode($br->win_number);
                    if(in_array($request->win_number,$slelectNum)){
                        $multiply = $game->multiply;
                        $total = $nr->amount * $multiply;

                        $result = new Result;
                        $result->user_id =$br->user_id;
                        $result->game_id =$game->id;
                        $result->game_bet_id =$br->id;
                        $result->result_number =$request->win_number;
                        $result->result_type = 'win';
                        $result->amount = $total;
                        $result->unique_id = uniqid();
                        $result->bet_amount = $nr->amount;
                        $result->save();

                        $transcation = new Transcation();
                        $transcation->payment_type = 'win';
                        $transcation->type = 'cr';
                        $transcation->user_id = $br->user_id;
                        $transcation->type_id = $result->id;
                        $transcation->amount = $total;
                        $transcation->remaining_amount = User::where('id', $br->user_id)->value('wallet') + $total;
                        $transcation->transcation_status = '1';
                        $transcation->unique_id = uniqid();
                        $transcation->save();
                        $user = User::where('id', $br->user_id)->first();
                        $user->wallet += $total;
                        $user->save();
                    }else{
                        $result = new Result;
                        $result->user_id =$br->user_id;
                        $result->game_id =$game->id;
                        $result->game_bet_id =$br->id;
                        $result->result_number =$request->win_number;
                        $result->result_type = 'loss';
                        $result->amount = 0;
                        $result->bet_amount = $nr->amount;
                        $result->unique_id = uniqid();
                        $result->save();
                    }
                }
              }
              $br->result_status = "1";
              $br->save();
            
        }
        foreach($bet->groupBy(['type','user_id']) as $keybet => $r){
            foreach($r as $keybetuser => $useridv){
              $notification1 = new Notification;
              $notification1->type = 'result';
              $notification1->user_id = $keybetuser;
              $notification1->type_id = $game->id;
              $notification1->user_type = 'single user';
              $notification1->message = $game->name.' result win number '.$request->win_number;
              $notification1->deliver_date = date('Y-m-d H:i');
              $notification1->unique_id = uniqid();
              $notification1->save();
            }
        }
        $game->result_status = "1";
        $game->result_number =$request->win_number;
        $game->save();
        return redirect()->route('aResult.index')->with('success_msg','Result has been updated successfully!');
    }
}

// $products = $products->whereJsonContains('subcategory_id',$category_search)->orwhereJsonContains('subsubcategory_id',$category_search)->orwhere('category_id',$category_search);
