<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Slider;
class SliderController extends Controller
{
    public function index(){
        $sliders = Slider::where('status', "1")->orderBy('id','desc')->get();
        return view('admin.slider.index', compact('sliders'));
    }


    public function create(){
        return view('admin.slider.create');
    }


    public function store(Request $request){
        $request->validate([
    'image'=>'required',
     ]);

     $slider = new Slider;
     if ($request->hasFile('image')) {
            $image = $request->file('image');
            $filename = $image->getClientOriginalName();
            $destinationPath = public_path('uploads/slider');
            $image->move($destinationPath, $filename);
            $slider->image = "uploads/slider/" . $filename;
        }
        
        $slider->unique_id = uniqid();
        $slider->save();
        session()->flash('success_msg', 'Slider has been created Successfully');
       return redirect()->route('sliders.index');
    }


    public function destroy($id){
    $slider = Slider::where('unique_id',$id)->first();
    if(is_null($slider)){
        session()->flash('error_msg', 'No Data Found!');
        return back();
      }
      $slider->status = "0";
      $slider->save();
      session()->flash('success_msg', 'Slider has been deleted Successfully');
      return redirect()->route('sliders.index');
}
}
