<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\User;
use App\Models\Recharge;
use App\Models\Transcation;
use Auth,Hash;
class UserController extends Controller
{
    public function index(){
    $lists = User::orderBy('id','desc')->where('status',"1")->whereHas('roles', function($q){
            $q->where('name','user');
        })->get();
    return view('admin.user.index', compact('lists'));
    }


    public function create(){
        return view('admin.user.create');
    }

    public function store(Request $request){
        $request->validate([
    'name'=>'required',
    'email'=>'required',
    'gender'=>'required',
    'dob'=>'required',
    'phone'=>'required|digits:10|unique:users,phone',
    'password'=>'required|min:6',
     ]);
      
     $user = new User;
     $user->name = $request->name;
     $user->email = $request->email;
     $user->gender = $request->gender;
     $user->dob = $request->dob;
     $user->phone = '91'.$request->phone;
     $user->wallet = 0;
     $user->unique_id = uniqid();
     $user->password = Hash::make($request->password);
     if ($request->hasFile('image')) {
            $image = $request->file('image');
            $filename = time().'-'.$image->getClientOriginalName();
            $destinationPath = public_path('uploads/profile_image');
            $image->move($destinationPath, $filename);
            $user->image = "uploads/profile_image/" . $filename;
        }
        $user->assignRole("user");
        $user->save();
    //     if($request->wallet != 0 && $request->wallet != null){
    //      $recharges = new Recharge;
    //      $recharges->user_id = $user->id;
    //     $recharges->amount = $request->wallet;
    //     $recharges->payment_status = "1";
    //     $recharges->unique_id = uniqid();
    //     $recharges->save();


    //     $transcation = new Transcation;
    //   $transcation->payment_type = 'recharge';
    //   $transcation->type = 'cr';
    //   $transcation->user_id = $recharges->user_id;
    //   $transcation->type_id = $recharges->id;
    //   $transcation->amount = $recharges->amount;
    //   $transcation->remaining_amount = $recharges->amount;
    //   $transcation->transcation_status = $recharges->payment_status;
    //   $transcation->unique_id = uniqid();
    //   $transcation->save();
    // }
        session()->flash('success_msg', 'User has been created Successfully');
       return redirect()->route('user.index');
    }

    
    public function edit($id){
        $user = User::where('unique_id',$id)->first();
        if(is_null($user)){
        session()->flash('error_msg', 'No Data Found!');
        return back();
      }
        return view('admin.user.edit', compact('user'));
    }


    public function update(Request $request, $id){
        $user = User::where('unique_id',$id)->first();
if(is_null($user)){
        session()->flash('error_msg', 'No Data Found!');
        return back()->withInput($request->all());
      }
        $request->validate([
    'name'=>'required',
    'email'=>'required',
    'gender'=>'required',
    'dob'=>'required'
     ]);

     $user->name = $request->name;
     $user->email = $request->email;
     $user->gender = $request->gender;
     $user->dob = $request->dob;
    //  $user->wallet = $request->wallet;
     if ($request->hasFile('image')) {
            $image = $request->file('image');
            $filename = time().'-'.$image->getClientOriginalName();
            $destinationPath = public_path('uploads/profile_image');
            $image->move($destinationPath, $filename);
            $user->image = "uploads/profile_image/" . $filename;
        }
        $user->save();
        session()->flash('success_msg', 'User has been updated Successfully');
       return redirect()->route('user.index');
    }

    public function destroy($id){
    $game = User::where('unique_id',$id)->first();
    if(is_null($game)){
        session()->flash('error_msg', 'No Data Found!');
        return back();
      }
      $game->status = "0";
      $game->save();
      session()->flash('success_msg', 'User has been deleted Successfully');
      return redirect()->route('user.index');
}
}
