<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Withdrawal;
use App\Models\Transcation;
use App\Models\Notification;
use App\Models\User;
class WithdrawalController extends Controller
{
    public function index(){
        $withdrawals = Withdrawal::where('status',"1")->orderBy('id', 'desc')->get();
        return view('admin.withdrawal.index', compact('withdrawals'));
    }
    public function show($id){
    $data = Withdrawal::where('unique_id',$id)->first();
    return view('admin.withdrawal.withdrawaldetail',compact('data'));  
}


  public function update(Request $request,$id){
        $withdrawals = Withdrawal::where('unique_id',$id)->first();
        if(is_null($withdrawals)){
        session()->flash('error_msg', 'No Data Found!');
        return back()->withInput($request->all());
      }
      $withdrawals->withdrawal_status = $request->status;
      $withdrawals->save();
      if($request->status == "1"){
        $msg = ' withdrawal request approved successfully';
      $transcation = new Transcation;
      $transcation->payment_type = 'withdrawal';
      $transcation->type = 'dr';
      $transcation->user_id = $withdrawals->user_id;
      $transcation->type_id = $withdrawals->id;
      $transcation->amount = $withdrawals->amount;
      $transcation->remaining_amount = User::where('id',$withdrawals->user_id)->value('wallet') - $withdrawals->amount;
      $transcation->transcation_status = $withdrawals->withdrawal_status;
      $transcation->unique_id = uniqid();
      $transcation->save();
      $user = User::where('id',$withdrawals->user_id)->first();
         $user->wallet -= $withdrawals->amount;
         $user->save();
      } else{
        $msg = ' withdrawal request rejected';
      }
      
       if($request->status != "0"){
      $notification1 = new Notification;
    $notification1->type = 'withdrawal';
    $notification1->user_id = $withdrawals->user_id;
    $notification1->type_id = $withdrawals->id;
    $notification1->user_type = 'single user';
    $notification1->message = $withdrawals->amount .$msg;
    $notification1->deliver_date = date('Y-m-d H:i');
    $notification1->unique_id = uniqid();
    $notification1->save();
    }
      session()->flash('success_msg', 'Withdrawal has been Updated Successfully');
      return redirect()->route('withdrawals.index');
    }
}
