<?php

namespace App\Http\Middleware;

use App\Providers\RouteServiceProvider;
use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class RedirectIfAuthenticated
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @param  string|null  ...$guards
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
     public function handle(Request $request, Closure $next, ...$guards)
    {
        if(Auth::user())
       {
     if(Auth::user()->hasRole("admin"))
        {
            return redirect("admin/home");
        }
       
        else if(Auth::user()->hasRole("user"))
        {
            return redirect("home");
        }
    }

    return $next($request);
    }
}
