@extends('admin.layouts.app')
@section('title', 'Admin - Create Game ')
@section('content')



    <div class="page-content">
        <div class="container-fluid">

            <!-- start page title -->
            <div class="row">
                <div class="col-12">
                    <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                        <h4 class="mb-sm-0 font-size-18">Create Game</h4>



                    </div>
                </div>
            </div>
            <!-- end page title -->

            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">


                            <form class="" method="POST" action="{{ route('game.store') }}"
                            enctype="multipart/form-data">
                                @csrf
                                <div class="mb-3 row">
                                    <div class="col-md-6">
                                        <label for="example-date-input" class="col-md-2 col-form-label">Type <span class="text-danger">*</span></label>
                                        <select name="type" id="type" class="form-control">
                                            <option value="">Select Type</option>
                                            @foreach(App\Models\GameType::where('status',"1")->get() as $r)
                                            <option @if(old('type') == $r->id) selected @endif value="{{$r->id}}">{{$r->type}}</option>
                                            @endforeach
                                        </select>
                                        {{-- <input class="form-input form-control" type="text" id="name"  name="name"
                                            value="{{old('name')}}"> --}}
                                            <span class="text-danger small">{{$errors->first('name')}}</span>
                                    </div>
                                    <div class="col-md-6">
                                        <label for="example-date-input" class="col-md- col-form-label">Start (Date And Time): <span class="text-danger">*</span></label>
                                            <input class="form-input form-control" type="datetime-local" value="{{old('start_time')}}" id="start_time" min="{{date('Y-m-d H:i')}}" name="start_time">
                                            <span class="text-danger small">{{$errors->first('start_time')}}</span>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <div class="col-md-6">
                                        <label for="example-date-input" class="col-md- col-form-label">End (Date And Time): <span class="text-danger">*</span></label>
                                        <input class="form-input form-control" type="datetime-local" id="end_time" value="{{old('end_time')}}" min="{{date('Y-m-d H:i')}}" name="end_time">
                                        <span class="text-danger small">{{$errors->first('end_time')}}</span>
                                    </div>
                                    <div class="col-md-6">
                                        <label for="example-date-input" class="col-md- col-form-label">Result (Date And Time): <span class="text-danger">*</span></label>
                                            <input class="form-input form-control" type="datetime-local" id="result_time" value="{{old('result_time')}}" min="{{date('Y-m-d H:i')}}" name="result_time">
                                            <span class="text-danger small">{{$errors->first('result_time')}}</span>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <div class="col-md-6">
                                        <label for="example-date-input" class="col-md- col-form-label">Multiply: <span class="text-danger">*</span></label>
                                        <input class="form-input form-control number" type="number" id="multiply" name="multiply" value="{{old('multiply')}}">
                                    </div>
                                </div>
                        </div>
                    </div>
                   </div>
                </div>
            <div class="col-md-4 mt-4">
                <input type="submit" class="btn btn-primary" value="Submit">
            </div>
        </div>
        </form>
<!-- 
        <select name="cars" id="cars" onchange="getval()">
            <option value="1">Volvo</option>
            <option value="2">Saab</option>
            <option value="3">Opel</option>
            <option value="4">Audi</option>
            <option value="5">Audi</option>
          </select> -->

    </div> <!-- end col -->

    </div>
    </div>
    </div>
@endsection
@push('footerscript')
  <script>
    $('.number').keyup(function(e) {
        if (/\D/g.test(this.value)) {
            this.value = this.value.replace(/\D/g, '');
        }
    });
</script>
<script>
    function getval() {
        var e = document.getElementById("cars").value;
        alert(e)
    }
</script>



 
@endpush
