@extends('admin.layouts.app')
@section('title', 'Admin - Profile')
@push('headerscript')


@endpush
@section('content')
    <div class="page-content">
        <div class="container-fluid">
            <div class="row">
                            <div class="col-12">
                                <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                                    <h4 class="mb-sm-0 font-size-18"><i class="bx bx-user-circle"></i> Profile</h4>
                                </div>
                            </div>
                        </div>
        <div class="row">
            <div class="flash-message">
                @foreach (['danger', 'warning', 'success', 'info'] as $msg)
                    @if (Session::has('alert-' . $msg))
                        <section>
                            <div class="row">
                                <div class="col-sm-12 col-lg-12">
                                    <center>
                                        <div data-example-id="simple-alerts" class="bs-example">
                                            <div role="alert" class="alert alert-success">
                                                <strong>Thank you your request has been Submitted
                                                    Successfully! Please wait untill your Request Approves!
                                                </strong>
                                            </div>
                                        </div>
                                    </center>
                                </div>
                            </div>
                        </section>
                    @endif
                @endforeach
            </div> <!-- end .flash-message -->
        </div>
        
        <div class="row">
            
    <div class="col-lg-12">
        <div class="dashboard-tab cart-wrapper p-5 bg-white rounded-lg shadow-xs mb-3">
            <!--<div class="row">-->
            <!--    <div class="col-lg-4 offset-sm-4 text-center">-->
            <!--        <h2 class="text-center" style="margin-top: 25px;"><strong style="color: #33439b;">Profile-->
            <!--                Details</strong></h2>-->

            <!--    </div>-->
            <!--</div>-->
            <form method="post" action="{{ url('admin/adminupdateprofile') }}" enctype="multipart/form-data">
                @csrf
                <div class="row">
                    <div class="col-sm-6 ">
                        <div class="form-group fg-line">
                            <label class="fg-label">Name</label>
                            <input type="text" name="name" value="{{ old('name', Auth::user()->name) }}"
                                class="form-control">
                            <span class="text-danger small">{{$errors->first('name')}}</span>
                        </div>
                    </div>
                     <div class="col-sm-6 mb-3 ">
                        <div class="form-group fg-line">
                            <label class="fg-label">Email</label>
                            <input type="email" name="email" value="{{ old('email', Auth::user()->email) }}"
                                class="form-control">
                                <span class="text-danger small">{{$errors->first('email')}}</span>
                        </div>
                    </div>
                </div>
                <div class="row">
                 
                     <div class="col-sm-6 mb-3 ">
                        <div class="form-group fg-line">
                            <label class="fg-label">Phone</label>
                            <input type="text" name="phone" maxlength="10" minlength="10" value="{{ str_replace("91","",old('phone', Auth::user()->phone)) }}"
                                class="form-control">
                                <span class="text-danger small">{{$errors->first('phone')}}</span>
                        </div>
                        </div>
                     <div class="col-sm-6 mb-3 ">
                        <div class="form-group fg-line">
                            <label class="fg-label">Image</label>
                            <input type="file" name="image" value="" class="form-control">
                        </div>
                    </div>
                     <div class="col-sm-6 mb-3 ">
                        <div class="form-group fg-line">
                            <img width="100px" src="{{asset(auth()->user()->image)}}" alt="">
                        </div>
                    </div>
                </div>
            
                <div class="row">
                    <div class="col-md-6 form-group">
                        
                    <button type="submit" class="btn btn-primary m-t-10 waves-effect">Save</button>
                 
                    <button type="reset" class="btn btn-danger m-t-10 waves-effect">Cancel</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
        </div>
        </div>
    </div>
    </div>
    </div>
    </div>
@endsection
