@extends('admin.layouts.app')
@section('title','Admin - Setting')
@push('headerscript')

<style>
	.col-md-6{
	margin-bottom:10px;
	}

nav > .nav.nav-tabs{

border: none;
  color:#fff;
  border-radius:0;
}
nav > div a.nav-item.nav-link,
nav > div a.nav-item.nav-link.active
{
    color:#000;
}

</style>
@endpush
@section('content')
<meta name="csrf-token" content="{{ csrf_token() }}">
<div class="page-content">
<!-- Start content -->
<div class="">
	<div class="container-fluid">
		@if (session()->has('error'))
		<div class="alert alert-danger">
			{{ session()->get('error') }}
		</div>
	@endif

	@if (session()->has('success'))
		<div class="alert alert-success">
			{{ session()->get('success') }}
		</div>
	@endif
		<div class="row">
			<div class="col-12">
				<div class="page-title-box d-sm-flex align-items-center justify-content-between">
					<h4 class="mb-sm-0 font-size-18">Web Setting</h4>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-xs-6 col-md-6 col-lg-6 col-sm-6">
				<div class="card">
					<div class="card-body">
            <div class="tab-pane fade show active p-3">
              <h4>Bouns Setting</h4>
              <form action="{{route('setting.store')}}" method="post">
                  @csrf
                  <input type="hidden" name="form_type" id="form_type" value="bounssetting" >
              <div class="mb-3 row">
                  <div class="col-md-4">
                      <label for="example-date-input" class="col-form-label">Refral Bouns</label>
                      <input class="form-input form-control" required type="text" id="refral_bouns" name="refral_bouns"
                          value="@if(!empty(getSiteSettings('refral_bouns'))){{ getSiteSettings('refral_bouns')->_value }}@endif">
                          <span class="text-danger small">{{$errors->first('refral_bouns')}}</span>
                  </div>
                  <div class="col-md-4">
                      <label for="example-date-input" class="col-form-label">Bouns</label>
                      <input class="form-input form-control" required type="text" id="key" name="bouns"
                          value="@if(!empty(getSiteSettings('bouns'))){{ getSiteSettings('bouns')->_value }}@endif">
                          <span class="text-danger small">{{$errors->first('bouns')}}</span>
                  </div>
                
              </div>
              <div class="row">
                  <div class="col-md-6 form-group">
                      <button name="submitBtn" class="btn btn-primary" type="submit">Save</button>
                      <button class="btn btn-danger m-l-15" type="reset">Cancel</button>
                  </div>
                  </div>
              </form>
              <hr>
          </div>
                        </div>
                      </div>
							
						</div> <!-- end col -->
			<div class="col-xs-6 col-md-6 col-lg-6 col-sm-6">
				<div class="card">
					<div class="card-body">
            <div class="tab-pane fade show active p-3">
              <h4>Contect Detail</h4>
              <form action="{{route('setting.store')}}" method="post">
                  @csrf
                  <input type="hidden" name="form_type" id="form_type" value="contact_detail" >
                <div class="mb-3 row">
                  <div class="col-md-4">
                      <label for="example-date-input" class="col-form-label">Whatsapp Number</label>
                      <input class="form-input form-control" type="text" id="whatsapp_number" name="whatsapp_number"
                          value="@if(!empty(getSiteSettings('whatsapp_number'))){{ getSiteSettings('whatsapp_number')->_value }}@endif">
                          <span class="text-danger small">{{$errors->first('whatsapp_number')}}</span>
                  </div>
                  <div class="col-md-4">
                      <label for="example-date-input" class="col-form-label">Phone Number</label>
                      <input class="form-input form-control" type="text" id="phone_number" name="phone_number"
                          value="@if(!empty(getSiteSettings('phone_number'))){{ getSiteSettings('phone_number')->_value }}@endif">
                          <span class="text-danger small">{{$errors->first('phone_number')}}</span>
                  </div>
                
              </div>
              <div class="row">
                  <div class="col-md-6 form-group">
                      <button name="submitBtn" class="btn btn-primary" type="submit">Save</button>
                      <button class="btn btn-danger m-l-15" type="reset">Cancel</button>
                  </div>
                  </div>
              </form>
              <hr>
          </div>
                        </div>
                      </div>
							
						</div> <!-- end col -->
			<div class="col-xs-12 col-md-12 col-lg-12 col-sm-12">
				<div class="card">
					<div class="card-body">
            <div class="tab-pane fade show active p-3" id="nav-aboutus" role="tabpanel" aria-labelledby="nav-aboutus-tab">
              <h4>About Us</h4>
              <form action="{{route('setting.store')}}" method="post">
                  @csrf
                  <input type="hidden" name="form_type" id="form_type" value="aboutus_content" >
              <div class="mb-3 row">
                  <div class="col-md-12">
                      <label for="example-date-input" class="col-form-label">About Us Content</label>
                      <textarea class="form-control ckeditor" type="text" id="aboutus_content" name="aboutus_content">@if(!empty(getSiteSettings('aboutus_content'))){{ getSiteSettings('aboutus_content')->_value }}@endif</textarea>
                          <span class="text-danger small">{{$errors->first('aboutus_content')}}</span>
                  </div>
                
              </div>
              <div class="row">
                  <div class="col-md-6 form-group">
                      <button name="submitBtn" class="btn btn-primary" type="submit">Save</button>
                      <button class="btn btn-danger m-l-15" type="reset">Cancel</button>
                  </div>
                  </div>
              </form>
              <hr>
          </div>
                        </div>
                      </div>
							
						</div> <!-- end col -->
					</div>
				</div>
			</div>
		</div>
		<!-- container -->
	</div>
	<!-- content -->
</div>
@endsection
@push('footerscript')
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<link href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script src="https://cdn.ckeditor.com/4.14.0/standard/ckeditor.js"></script>
<script type="text/javascript">
    $(document).ready(function() {
       $('.ckeditor').ckeditor();
    });
</script>
{{-- <link href="{{ asset('theme/plugins/bootstrap-datepicker/css/bootstrap-datepicker.min.css')}}" rel="stylesheet">
<link href="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
<script src="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="{{ asset('theme/default/assets/js/fastclick.js')}}"></script>
<script src="{{ asset('theme/plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js')}}"></script>
<script>
	$('#datepicker-autoclose').datepicker();
</script> --}}
@endpush
