@extends('admin.layouts.app')
@section('title', 'Admin - Edit User')
@section('content')



    <div class="page-content">
        <div class="container-fluid">

            <!-- start page title -->
            <div class="row">
                <div class="col-12">
                    <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                        <h4 class="mb-sm-0 font-size-18">Edit User</h4>



                    </div>
                </div>
            </div>
            <!-- end page title -->

            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <form method="POST" action="{{ route('user.update',$user->unique_id) }}"
                                enctype="multipart/form-data">
                                @csrf
                                @method('put')
                                <div class="mb-3 row">
                                    <div class="col-md-6">
                                        <label for="example-date-input" class="col-md-2 col-form-label">Name <span class="text-danger">*</span></label>
                                        <input class="form-input form-control" type="text" id="name" name="name"
                                            value="{{old('name',$user->name)}}">
                                            <span class="text-danger small">{{$errors->first('name')}}</span>
                                    </div>
                                    <div class="col-md-6">
                                        <label for="example-date-input" class="col-md- col-form-label">Email <span class="text-danger">*</span> </label>
                                            <input class="form-input form-control" type="email" value="{{old('email',$user->email)}}" id="email" name="email">
                                            <span class="text-danger small">{{$errors->first('email')}}</span>
                                    </div>
                                </div>
                                 <div class="mb-3 row">
                                    <div class="col-md-6">
                                        <label for="example-date-input" class="col-md-2 col-form-label">Phone <span class="text-danger">*</span></label>
                                        <input class="form-input form-control number" type="text" readonly
                                            value="{{$user->phone}}">
                                    </div>
                                    <div class="col-md-6">
                                        <label for="example-date-input" class="col-md- col-form-label">DOB <span class="text-danger">*</span> </label>
                                            <input class="form-input form-control" type="date" value="{{old('dob',$user->dob)}}" id="dob" name="dob" max="{{date('Y-m-d')}}">
                                            <span class="text-danger small">{{$errors->first('dob')}}</span>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <div class="col-md-6">
                                        <label for="example-date-input" class="col-md- col-form-label">Wallet</label>
                                        <input class="form-input form-control number" type="text" value="{{$user->wallet}}" readonly>
                                    </div>
                                    <div class="col-md-6">
                                        <label for="example-date-input" class="col-md- col-form-label">Gender</label>
                                        <select name="gender" id="gender" class="form-control">
                                            <option @if(old('gender',$user->gender) == 'Male') selected @endif value="Male">Male</option>
                                            <option @if(old('gender',$user->gender) == 'Female') selected @endif value="Female">Female</option>
                                        </select>
                                        <span class="text-danger small">{{$errors->first('gender')}}</span>
                                    </div>
                                    <div class="col-md-6">
                                        <label for="example-date-input" class="col-form-label">Image</label>
                                            <input class="form-input form-control" type="file" id="image" name="image">
                                            <span class="text-danger small">{{$errors->first('image')}}</span>
                                    </div>
                                    <div class="col-md-6 mt-2">
                                            <img width="150px" src="{{asset($user->image)}}" alt="">
                                    </div>
                                </div>
                        </div>
                    </div>
                   </div>
                </div>
            <div class="col-md-4 mt-4">
                <input type="submit" class="btn btn-primary" value="Submit">
            </div>
        </div>
        </form>


    </div> <!-- end col -->

    </div>
    </div>
    </div>
@endsection
@push('footerscript')
  <script>
    $('.number').keyup(function(e) {
        if (/\D/g.test(this.value)) {
            this.value = this.value.replace(/\D/g, '');
        }
    });
</script>




 
@endpush
