<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/
Route::get('/cc', function () {
    Artisan::call('cache:clear');
    echo '<script>
        alert("cache clear Success")
    </script>';
});
Route::get('/ccc', function () {
    Artisan::call('config:cache');
    echo '<script>
        alert("config cache Success")
    </script>';
});
Route::get('/vc', function () {
    Artisan::call('view:clear');
    echo '<script>
        alert("view clear Success")
    </script>';
});
Route::get('/cr', function () {
    Artisan::call('route:cache');
    echo '<script>
        alert("route clear Success")
    </script>';
});
Route::get('/coc', function () {
    Artisan::call('config:clear');
    echo '<script>
        alert("config clear Success")
    </script>';
});
Route::get('/storage123', function () {
    Artisan::call('storage:link');
    echo '<script>
        alert("linked")
    </script>';
});

Route::get('/splash', function () {
    if(auth()->check()){
        return redirect()->to('/home');
    }
    return view('welcome');
});


Route::get('resetotp', 'App\Http\Controllers\Auth\RegisterController@resetotp')->name('resetotp');
Route::post('register_store', 'App\Http\Controllers\Auth\RegisterController@register_store')->name('register_store');
Route::post('otp_storereg', 'App\Http\Controllers\Auth\RegisterController@otp_storereg')->name('otp_storereg');
Route::post('storeregister', 'App\Http\Controllers\Auth\RegisterController@storeregister');
Route::get('regotp', 'App\Http\Controllers\Auth\RegisterController@regotp')->name('regotp');
Route::get('otp', 'App\Http\Controllers\Auth\LoginController@otp')->name('loginOtp');
Route::get('resendotp', 'App\Http\Controllers\Auth\LoginController@resendotp')->name('resendotp');
Route::post('otpStore', 'App\Http\Controllers\Auth\LoginController@otpStore')->name('otpStore');
Route::get('register', 'App\Http\Controllers\Auth\RegisterController@showRegistrationForm')->name('register');
Route::post('/Register-post', [App\Http\Controllers\Auth\RegisterController::class, 'Register'])->name('Register_post');
Auth::routes();
 Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
 Route::get('/notification', [App\Http\Controllers\HomeController::class, 'notification'])->name('notification');
 Route::get('/wallet', [App\Http\Controllers\HomeController::class, 'wallet'])->name('wallet');
 Route::get('/addcash', [App\Http\Controllers\HomeController::class, 'addcash'])->name('addcash');
 Route::get('/withdrawcash', [App\Http\Controllers\HomeController::class, 'withdrawcash'])->name('withdrawcash');
 Route::get('/deposit-history', [App\Http\Controllers\HomeController::class, 'deposithistory'])->name('deposithistory');
 Route::get('/withdraw-history', [App\Http\Controllers\HomeController::class, 'withdrawHistory'])->name('withdrawHistory');
 Route::get('/profile', [App\Http\Controllers\HomeController::class, 'profile'])->name('profile');
 Route::Post('/storeprofile', [App\Http\Controllers\HomeController::class, 'storeprofile'])->name('storeprofile');
 Route::get('/chart', [App\Http\Controllers\HomeController::class, 'chart'])->name('chart');
 Route::get('/match', [App\Http\Controllers\HomeController::class, 'match'])->name('match');
 Route::get('/share', [App\Http\Controllers\HomeController::class, 'share'])->name('share');
 Route::get('/upcoming', [App\Http\Controllers\HomeController::class, 'upcoming'])->name('upcoming');
 Route::get('/company-trust-profile', [App\Http\Controllers\HomeController::class, 'companyTrustProfile'])->name('companyTrustProfile');
 Route::get('/about_us', [App\Http\Controllers\HomeController::class, 'aboutUs'])->name('aboutUs');
 Route::get('/game/{id}', [App\Http\Controllers\HomeController::class, 'game'])->name('game');
 Route::Post('/store-addcash', [App\Http\Controllers\HomeController::class, 'storeaddcash'])->name('storeaddcash');
 Route::Post('/store-withdrawcash', [App\Http\Controllers\HomeController::class, 'storewithdrawcash'])->name('storewithdrawcash');
 Route::Post('/store-crossing-game', [App\Http\Controllers\HomeController::class, 'CrossingGameStore'])->name('CrossingGameStore');
 Route::Post('/store-haroop-game', [App\Http\Controllers\HomeController::class, 'haroopGameStore'])->name('haroopGameStore');
 Route::Post('/store-jodi-game', [App\Http\Controllers\HomeController::class, 'JodiGameStore'])->name('JodiGameStore');
 Route::Post('/withdrawal-store', [App\Http\Controllers\HomeController::class, 'withdrawalStore'])->name('withdrawalStore');
 Route::Post('/match', [App\Http\Controllers\HomeController::class, 'match']);

Route::group(['middleware' => ['role:admin', 'auth'], 'namespace' => 'App\Http\Controllers\admin', 'prefix' => 'admin'], function () {
    Route::get('home', 'HomeController@index');
    Route::get('adminprofile', 'HomeController@adminprofile');
    Route::post('adminupdateprofile', 'HomeController@adminupdateprofile');
    Route::Resource('game', 'GameController');
    Route::Resource('user', 'UserController');
    Route::Resource('transcations', 'TranscationController');
    Route::Resource('withdrawals', 'WithdrawalController');
    Route::Resource('recharges', 'RechargeController');
    Route::Resource('sliders', 'SliderController');
    Route::Resource('setting', 'SettingController');
    Route::Resource('gameType', 'GameTypeController');
    Route::Resource('gameBet', 'GameBetController');
    Route::Resource('aResult', 'ResultController');
    Route::Resource('Anotification', 'NotificationController');

});

/*
1. ALTER TABLE `users` ADD `wallet` DOUBLE NOT NULL DEFAULT '00.00' AFTER `password`;
2. ALTER TABLE `users` ADD `unique_id` VARCHAR(255) NOT NULL AFTER `wallet`, ADD `status` ENUM('0','1') NOT NULL DEFAULT '1' AFTER `unique_id`;
3. ALTER TABLE `transcations` CHANGE `transcation_type` `transcation_status` ENUM('0','1','2') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0' COMMENT '1 for approved, 2 for rejected, 0 for pending ';
*/
/* ALTER TABLE `games` ADD `name` LONGTEXT NULL DEFAULT NULL AFTER `id`, ADD `start_time` LONGTEXT NULL DEFAULT NULL AFTER `name`, ADD `end_time` LONGTEXT NULL DEFAULT NULL AFTER `start_time`, ADD `result_time` LONGTEXT NULL DEFAULT NULL AFTER `end_time`, ADD `unique_id` VARCHAR(255) NULL DEFAULT NULL AFTER `result_time`, ADD `status` ENUM('0','1') NOT NULL DEFAULT '1' AFTER `unique_id`; */

// burp suite